# Interface VideoDto

interface VideoDto {
ad_keys?: object;
created_at?: string;
cue_points?: VideoCuePointDto[];
custom_fields?: Record<string, unknown>;
description?: string;
duration?: number;
economics?: "AD_SUPPORTED" | "FREE";
id?: string;
labels?: string[];
link?: VideoLinkDto;
long_description?: string;
name?: string;
offline_enabled?: boolean;
playback_rights_id?: string;
poster?: string;
poster_sources?: {
src?: string;
}[];
projection?: string;
published_at?: string;
reference_id?: string;
sources?: VideoSourceDto[];
tags?: string[];
text_tracks?: VideoTextTrackDto[];
thumbnail?: string;
thumbnail_sources?: {
src?: string;
}[];
transcripts?: VideoTranscriptionDto[];
updated_at?: string;
variants?: VideoVariantDto[];
}

#####
Index

### Properties

ad_keys?
created_at?
cue_points?
custom_fields?
description?
duration?
economics?
id?
labels?
link?
long_description?
name?
offline_enabled?
playback_rights_id?
poster?
poster_sources?
projection?
published_at?
reference_id?
sources?
tags?
text_tracks?
thumbnail?
thumbnail_sources?
transcripts?
updated_at?
variants?

## Properties

### `Optional` ad_keys

ad_keys?: object

map of key/value pairs for ad requests

### `Optional` created_at

created_at?: string

when the video was created

### `Optional` cue_points

cue_points?: VideoCuePointDto[]

array of cue point maps

### `Optional` custom_fields

custom_fields?: Record<string, unknown>

map of fieldname-value pairs

### `Optional` description

description?: string

video short description

### `Optional` duration

duration?: number

video duration in milliseconds

### `Optional` economics

economics?: "AD_SUPPORTED" | "FREE"

whether video is AD_SUPPORTED

#### Default

    "AD_SUPPORTED"

#### Example

    "AD_SUPPORTED"

### `Optional` id

id?: string

video id

### `Optional` labels

labels?: string[]

Array of labels for the video

#### Default

    []

#### Example

    ["/nature/wildlife/avian/coastal_birds","/nature/wildlife/avian/coastal_birds/sandpipers","/nature/wildlife/avian/forest_birds"]

### `Optional` link

link?: VideoLinkDto

map of scheduling properties

### `Optional` long_description

long_description?: string

video long description

### `Optional` name

name?: string

video title

### `Optional` offline_enabled

offline_enabled?: boolean

whether video is enabled for offline viewing

### `Optional` playback_rights_id

playback_rights_id?: string

Associates specified EPA playback rights with video.

### `Optional` poster

poster?: string

### `Optional` poster_sources

poster_sources?: {
src?: string;
}[]

#### Type declaration

- ##### `Optional` src?: string

### `Optional` projection

projection?: string

The mapping projection for 360° videos, e.g. "equirectangular"

### `Optional` published_at

published_at?: string

### `Optional` reference_id

reference_id?: string

video reference-id (must be unique within the account)

### `Optional` sources

sources?: VideoSourceDto[]

array of video sources (renditions)

### `Optional` tags

tags?: string[]

array of tags

### `Optional` text_tracks

text_tracks?: VideoTextTrackDto[]

array of text track maps

### `Optional` thumbnail

thumbnail?: string

### `Optional` thumbnail_sources

thumbnail_sources?: {
src?: string;
}[]

#### Type declaration

- ##### `Optional` src?: string

### `Optional` transcripts

transcripts?: VideoTranscriptionDto[]

array of transcription objects - can only be added on update, not creation

### `Optional` updated_at

updated_at?: string

when the video was last modified

### `Optional` variants

variants?: VideoVariantDto[]

array of variant objects containing multi-lingual metadata